<!DOCTYPE html>
<html lang="en">
  <head>
    <meta charset="UTF-8" />
    <meta http-equiv="X-UA-Compatible" content="IE=edge" />
    <meta name="viewport" content="width=device-width, initial-scale=1.0" />
    <title>Full Screen</title>
    <style>
      #container {
        border: 1px solid red;
        border-radius: 0.5em;
        padding: 10px;
      }
      #container:-webkit-full-screen,
      #container:-moz-full-screen,
      #container:-ms-fullscreen,
      #container:fullscreen {
        width: 100vw;
        height: 100vh;
      }
    </style>
  </head>
  <body>
    <div id="container">
      <p>
        <a href="#" id="toggle_test">Toggle Test</a>
      </p>
      I will be fullscreen, without Jquery!
    </div>
    <script>
      let elem = document.getElementById("toggle_test");
      elem.addEventListener("click", function () {
        // if already full screen; exit

        if (
          document.fullscreenElement ||
          document.webkitFullscreenElement ||
          document.mozFullScreenElement ||
          document.msFullscreenElement
        ) {
          if (document.exitFullscreen) {
            document.exitFullscreen();
          } else if (document.mozCancelFullScreen) {
            document.mozCancelFullScreen();
          } else if (document.webkitExitFullscreen) {
            document.webkitExitFullscreen();
          } else if (document.msExitFullscreen) {
            document.msExitFullscreen();
          }
        }
        // else go fullscreen
        else {
          element = document.documentElement;
          if (element.requestFullscreen) {
            element.requestFullscreen();
          } else if (element.mozRequestFullScreen) {
            element.mozRequestFullScreen();
          } else if (element.webkitRequestFullscreen) {
            element.webkitRequestFullscreen(Element.ALLOW_KEYBOARD_INPUT);
          } else if (element.msRequestFullscreen) {
            element.msRequestFullscreen();
          }
        }
      });
    </script>
  </body>
</html>
